# Confirm Sell Order

Once the coin amount transfer for a Sell Order has been executed, Banxa must be notified by sending a request to this endpoint with transaction hash, source and destination wallet address details.

Endpoint: POST /api/orders/{order_id}/confirm
Version: 1.3
Security: sec0

## Header parameters:

  - `Accept` (string)

  - `X-Request-Id` (string)
    This is the correlation ID related to the request.

## Request fields (application/json):

  - `tx_hash` (string, required)
    Blockchain transaction hash of the order

  - `source_address` (string, required)
    The provided customer's source wallet address

  - `source_address_tag` (string)
    The customer's source wallet address tag if the provided source wallet address requires it

  - `destination_address` (string, required)
    The wallet address provided to merchants to transact to

  - `destination_address_tag` (string)
    The wallet address tag provided to merchants if the provided destination wallet address requires it

## Response 200 fields (application/json):

  - `data` (object)

  - `data.order` (object)

  - `data.order.id` (string)
    Example: 21bbacbe9655f4c6fa3d696bed14f974

  - `data.order.account_id` (string)
    Example: 7cd01995c81658527cf38af0cad523a3

  - `data.order.account_reference` (string)
    Example: test000101

  - `data.order.order_type` (string)
    Example: CRYPTO-SELL

  - `data.order.payment_type` (string)
    Example: DIRECTCREDIT

  - `data.order.ref` (integer)
    Example: 103993

  - `data.order.fiat_code` (string)
    Example: AUD

  - `data.order.fiat_amount` (integer)
    Example: 100

  - `data.order.coin_code` (string)
    Example: BTC

  - `data.order.coin_amount` (number)
    Example: 0.00159514

  - `data.order.wallet_address` (string)
    Example: 2NBK1YYH7Uaj1TA94LzUcLtApb4vMpxSTeb

  - `data.order.fee` (integer)
    Example: 0

  - `data.order.payment_fee` (integer)
    Example: 0

  - `data.order.commission` (integer)
    Example: 0

  - `data.order.tx_hash` (any)

  - `data.order.created_at` (string)
    Example: 15-Jul-2021 00:37:51

  - `data.order.status` (string)
    Example: coinTransferReady

  - `data.order.completed_at` (any)

  - `data.order.merchant_fee` (integer)
    Example: 0

  - `data.order.meta_data` (any)

  - `data.order.blockchain` (object)

  - `data.order.blockchain.code` (string)
    Example: BTC

  - `data.order.blockchain.description` (string)
    Example: Bitcoin

